#1907 closed defect (fixed)

CBS scheduler tests

Reported by: Petr Benes Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

This patch contains three sptests for the CBS scheduler.

First one is a simple ticker.
Second one provides coverage of the CBS library.
Third one tests proper behavior of concurrent tasks using the CBS scheduler.

2011-09-01 Petr Benes <benesp16@…>

  • Makefile.am, configure.ac, spcbssched01/Makefile.am, spcbssched01/init.c,

spcbssched01/spcbssched01.doc, spcbssched01/spcbssched01.scn,
spcbssched01/system.h, spcbssched01/task1.c, spcbssched02/Makefile.am,
spcbssched02/init.c, spcbssched02/spcbssched02.doc, spcbssched02/spcbssched02.scn,
spcbssched02/system.h, spcbssched02/task_periodic.c, spcbssched03/Makefile.am,
spcbssched03/cbsparams.h, spcbssched03/init.c, spcbssched03/spcbssched03.doc,
spcbssched03/spcbssched03.scn, spcbssched03/system.h,
spcbssched03/tasks_aperiodic.c, spcbssched03/tasks_periodic.c: CBS scheduler tests

Attachments (2)

cbs_scheduler_tests.diff (47.4 KB) - added by Petr Benes on Sep 1, 2011 at 8:41:35 PM.
CBS scheduler tests
cbs_scheduler_tests2.diff (47.6 KB) - added by Petr Benes on Sep 14, 2011 at 7:41:49 PM.
CBS scheduler tests - version 2

Download all attachments as: .zip

Change History (8)

Changed on Sep 1, 2011 at 8:41:35 PM by Petr Benes

Attachment: cbs_scheduler_tests.diff added

CBS scheduler tests

comment:1 Changed on Sep 1, 2011 at 9:06:30 PM by Petr Benes

blocked: 1908

Changed on Sep 14, 2011 at 7:41:49 PM by Petr Benes

Attachment: cbs_scheduler_tests2.diff added

CBS scheduler tests - version 2

comment:2 Changed on Sep 14, 2011 at 7:41:49 PM by Petr Benes

attachments.isobsolete: 01

comment:3 Changed on Apr 16, 2012 at 2:01:04 AM by Gedare Bloom

Resolution: fixed
Status: newclosed

comment:4 Changed on Apr 16, 2012 at 2:03:07 AM by Gedare Bloom

Closed.

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:6 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.